debsums (3.0.2.1) unstable; urgency=medium

  [ Florian Schlichting ]
  * Ignore conffiles marked remove-on-upgrade (Closes: #993714, #1035483)

 -- Axel Beckert <abe@debian.org>  Mon, 08 May 2023 03:02:33 +0200

debsums (3.0.2) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Updated German man page translation. (Closes: #977679)

 -- Axel Beckert <abe@debian.org>  Mon, 15 Feb 2021 05:28:07 +0100

debsums (3.0.1) unstable; urgency=low

  * Add bash-completion by Thomas Reuben, but replace calls to the
    duplicated _comp_dpkg_installed_packages function with "$(_xfunc dpkg
    _comp_dpkg_installed_packages "$cur")". (Closes: #969388)
    + Add build-dependency on bash-completion and also suggest it.
    + debian/rules: Call "dh" with "--with bash-completion"
  * Update regenerated .po files.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Mon, 07 Dec 2020 05:08:50 +0100

debsums (3.0.0) unstable; urgency=low

  [ Axel Beckert ]
  * Drop debsums_init functionality. dpkg generates missing md5sums files
    upon package installation since 2012, see #944965.
    + This is a potentially breaking change, so bump major version to 3.
    + Remove debsums_init and related entries from debian/install,
      man/po4a.cfg, man/debsums.1, man/po/debsums.pot, .gitignore,
      debian/dirs, and all po files.
    + Partially resolves #944965.
  * Also drop documentation how to generate md5sums files from README.
  * Update tests from ADTTMP to AUTOPKGTEST_TMP. Thanks gregoa!

  [ gregor herrmann ]
  * Add new localepurge path /usr/share/X11/locale/$LOCALE.

 -- Axel Beckert <abe@debian.org>  Sat, 23 May 2020 00:00:32 +0200

debsums (2.2.5) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1.0.1.

  [ Josh Triplett ]
  * Allow /etc/debsums-ignore to be deleted rather than empty. Fixes MR!1.

  [ Axel Beckert ]
  * Drop old versioned dependency on dpkg already satisfied in Jessie.
  * Drop ancient version restriction of the dependency on perl.
  * Rewrite postinst and postrm to no more handle a conffile removal from
    2012 but to handle the removal of an empty /etc/debsums-ignore, but
    not touch it if already modified: It's not obsolete, but no more
    shipped and no more a conffile.
  * Add NEWS.Debian entry for new /etc/debsums-ignore handling.
  * Fix documentation comment in postrm.

 -- Axel Beckert <abe@debian.org>  Sun, 23 Feb 2020 12:17:25 +0100

debsums (2.2.4) unstable; urgency=medium

  [ Axel Beckert ]
  * Retroactively mention #913925 in previous changelog entry.
  * Remove all empty subdirectories of man in clean target to avoid
    lintian warning about empty directories in the source package. (They
    don't actually hurt, but they're redundant, too, as they're created as
    needed.)
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)

  [ gregor herrmann ]
  * Add new localepurge paths to is_localepurge_file(). (Closes: #935044)

  [ Américo Monteiro ]
  * Update Portuguese translation of manpage. (Closes: #926620)

 -- Axel Beckert <abe@debian.org>  Mon, 04 Nov 2019 01:46:48 +0100

debsums (2.2.3) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix typos found Niels Thykier. Thanks!
  * Set "Rules-Requires-Root: no".
  * Remove trailing whitespace from ancient debian/changelog entry.
  * Drop no more needed "Testsuite: autopkgtest" header since
    debian/tests/control exists.
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.
    + Stay with compat level 10 until the current stable release supports
      higher levels without backports. Document that in debian/compat
      and debian/control with comments.
  * Update .gitignore to cover all current build artefacts.
  * Also allow half-configured packages to be checked. (Closes: #913925)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Alban Vidal ]
  * French man page translation update. (Closes: #863615)

 -- Axel Beckert <abe@debian.org>  Sat, 14 Jul 2018 23:35:17 +0200

debsums (2.2.2) unstable; urgency=medium

  [ Axel Beckert ]
  * Don't make ignoring obsolete conffiles default for now. (See #861867
    and #689508 for the discussion.)
  * Regenerate po-files.

  [ Dominique Dumont ]
  * Add code comment to explain why a symlink loop triggers a die.
    (Related to the fix for #822633.)

 -- Axel Beckert <abe@debian.org>  Sun, 07 May 2017 16:05:58 +0200

debsums (2.2.1) unstable; urgency=low

  * Release unmodified as 2.2.1 and upload to unstable. Thanks to Andreas
    Beckmann for testing the release candidate!

 -- Axel Beckert <abe@debian.org>  Wed, 03 May 2017 02:49:52 +0200

debsums (2.2.1~rc1) experimental; urgency=low

  * Ignore obsolete conffiles by default (c.f. #689508). Based on patch by
    Andreas Beckmann, but with option to disable the ignoring of obsolete
    conffiles.
  * Regenerate po-files.

 -- Axel Beckert <abe@debian.org>  Sun, 30 Apr 2017 18:14:35 +0200

debsums (2.2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * compare diversion owner against architecture-unqualified package name,
    too. (Mitigates: #688295)

  [ Morgan Marquis-Boire ]
  * Add a flag to report the expected and actual checksums of files
    checked. (Closes: #660051)

  [ Axel Beckert ]
  * Add test for new option "-x".
  * Slightly refactor check() to make coding style more consistent.

 -- Axel Beckert <abe@debian.org>  Sat, 21 Jan 2017 21:37:12 +0100

debsums (2.1.3) unstable; urgency=medium

  * Team upload.

  [ Axel Beckert ]
  * debian/README.source: Explain the new version numbering scheme, refers
    to Semantic Versioning (http://semver.org/).
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Bump debhelper compatibility to 9 as recommended.
    + Update versioned debhelper build-dependency accordingly.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Dominique Dumont ]
  * protect against symlink loop (Closes: #822633) (LP: #1522563)

 -- Dominique Dumont <dod@debian.org>  Tue, 15 Nov 2016 07:52:19 +0100

debsums (2.1.2) unstable; urgency=medium

  * Actually use plain "Testsuite: autopkgtest" instead of only claiming
    to do so plus writing the infrastructure for it.

 -- Axel Beckert <abe@debian.org>  Fri, 03 Jul 2015 13:10:54 +0200

debsums (2.1.1) unstable; urgency=medium

  [ Américo Monteiro ]
  * Updated Portuguese manpage translation. (Closes: #785555)

  [ Axel Beckert ]
  * "Testsuite: autopkgtest-pkg-perl" only works for CPAN-style upstream
    sources. Use plain "Testsuite: autopkgtest" instead.
    + Add debian/tests/control and debian/tests/debsums.
    + Add an lintian override for the pkg-perl-specific lintian warning
      nonteam-testsuite-header.
  * Make sure that the installed package is tested if the test suite is
    run under autopkgtest.

 -- Axel Beckert <abe@debian.org>  Thu, 02 Jul 2015 00:39:06 +0200

debsums (2.1) unstable; urgency=low

  [ Axel Beckert ]
  * Apply wrap-and-sort.
  * Add a (yet incomplete) test suite
    + Add "Testsuite: autopkgtest-pkg-perl" header to debian/control.
    + Add build-dependency on libtest-command-simple-perl and
      libfile-fnmatch-perl.
    + Add a debian/README.source briefly describing how the test suite is
      being used.
  * debian/control (non-test-suite-related changes):
    + Declare compliance with Debian Policy 3.9.6 (no further changes)
    + Add ${perl:Depends} to Depends. Fixes dpkg-gencontrol warning.
  * debian/copyright + debian/lintian-overrides:
    + Update copyright years.
    + Add myself.
    + Convert to machine-readable DEP5 format.
    + Add lintian override for copyright-refers-to-symlink-license.
  * debian/rules + Makefile:
    + Simplify by moving cp, rm and dh_installdocs parameters to
      debian/{install,clean,docs}.
    + Remove now obsolete chmod call.
    + Drop variable usage for values only used once.
    + Move most overridden stuff from debian/rules to Makefile.
    + Drop option --rm-backups from po4a calls, it's a no-op since 0.41
      - Add according version requirement to the po4a build-dependency
  * debsums:
    + Warn if found md5sums file is empty but shouldn't. (Closes: #577197)
    + Broaden character set which is considered a valid version number.
      (Closes: #779626)
    + Simplify parsing of dpkg-{parsechangelog,query} output by using more
      specific options, allowing to drop the calls to grep and cut.
    + Use "use warnings;" instead of "perl -w".
    + Remove superfluous parentheses in foreach loop.
    + Remove obsolete CVS keywords.
    + Quote HERE document delimiters to ease syntax highlighting and
      please perlcritic.
    + Whitespace cleanup, wrapping long lines.
    + Improve code readability by using consistent spacing and indentation.
  * man/debsums.1 + man/po/*.po:
    + Remove mentioning of /etc/apt/apt.conf.d/90debsums (Closes: #737240)
    + Remove obsolete CVS keywords.
    + Replace "the file's md5sum" with "the file's MD5 sum".
  * man/po/de.po: Don't translate fixed terms from debsums' API.
  * man/po/debsums.pot: Replace dummy boilerplate text.
  * rdebsums:
    + Whitespace cleanup.
    + Exit with highest exit code of any of its child debsums processes
      exited. (Closes: #711560)
  * messages.po: Was generated, removed from Git and source package.
  * Fix typo in URL in previous changelog entry.

  [ Andreas Beckmann ]
  * Fix accessing files in the host root filesystem (/) while checking an
    alternate --root and following absolute symlinks.  (Closes: #689202)
    Manually resolve symlinks without escaping the --root directory and open
    the resolved path instead of the original one.

 -- Axel Beckert <abe@debian.org>  Wed, 29 Apr 2015 00:04:17 +0200

debsums (2.0.53) unstable; urgency=medium

  * Take package under maintenance of the Debian Perl Group
    + Move Maintainer to Uploaders
    + Set Maintainer to the Debian Perl Group
    + Update Vcs-* header to point to pkg-perl git repository
    + See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=744398#72 and
      https://lists.debian.org/debian-perl/2015/01/msg00010.html for
      discussions about moving to group maintenance.
  * Add myself as Uploader.
  * Canonicalize Vcs-* headers.
  * Apply patch by Vladimir N. Solovyov to also report modified files of
    arch-qualified (multiarch) packages. (Closes: #773136)

 -- Axel Beckert <abe@debian.org>  Wed, 18 Mar 2015 20:35:02 +0100

debsums (2.0.52+nmu3) unstable; urgency=medium

  * Non-maintainer upload
  * Fix case where previous patch doesn't report all changed files.
    (Closes: #775313) Thanks Marek Veber for report and patch!

 -- Axel Beckert <abe@debian.org>  Wed, 14 Jan 2015 22:55:45 +0100

debsums (2.0.52+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * Suppress reporting conffiles which were moved to a new package as
    modified in the old package. (Closes: #744398)

 -- Axel Beckert <abe@debian.org>  Thu, 29 May 2014 19:50:48 +0200

debsums (2.0.52+nmu1) unstable; urgency=low

  * Non-maintainer upload
  * Use dpkg-divert without path (Closes: #709009)

 -- Axel Beckert <abe@debian.org>  Sat, 03 Aug 2013 14:56:51 +0200

debsums (2.0.52) unstable; urgency=low

  * Remove debsums_gen from package (Closes: #640296)
  * Remove the obsolete 90debsums apt configuration file on install and
    make the keep option to generate md5sums file using debsums a noop
    - Add dependency on dpkg version 1.16.3, which generates md5sums
  * Allow Multi-Arch: same packages to be specified to debsums without
    the : suffix by using a mapping for fallback package names (Closes:
    #673174)
  * Remove debian/templates and man/debsums_gen.8, as well as associated
    translation files
  * Update Standards-Version to 3.9.3

 -- Ryan Niebur <ryan@debian.org>  Mon, 18 Jun 2012 17:55:57 -0700

debsums (2.0.51) unstable; urgency=low

  * Support dpkg multiarch from version 1.16.2~wipmultiarch, which has
    renamed the new PackageSpec field to binary:Package (Closes:
    #659170, #649156)
    - Apply patch from Anders to keep compatibilty with PackageSpec,
      still used by Ubuntu's multiarch
  * Add Anders Kaseorg to Uploaders, he is now a comaintainer

 -- Ryan Niebur <ryan@debian.org>  Sat, 11 Feb 2012 10:26:33 -0800

debsums (2.0.50) unstable; urgency=low

  * add Greek translation, thanks to Georgios M. Zarkadas (Closes:
    #642316)
  * Send the output of the cron jobs to syslog as well (Closes: #651887)

 -- Ryan Niebur <ryan@debian.org>  Tue, 20 Dec 2011 17:02:22 -0800

debsums (2.0.49) unstable; urgency=low

  [ Anders Kaseorg ]
  * Use dpkg-query instead of reading /var/lib/dpkg/status directly.  We
    still use /var/lib/dpkg/info directly to find the paths to .md5sums
    files, but now at least we try to verify our guess by checking that
    the corresponding .lists file exist.  (Closes: #616066)
  * Add multiarch support.

  [ Ryan Niebur ]
  * integrate NMUs, thank you Giovanni and David (Closes: #603189)
  * when querying dpkg-divert include the user specified root filesystem
    in --admindir (Closes: #632463)
  * add Korean translation for debconf templates, thanks min-ji Kang
    (Closes: #632009)
  * update debhelper compat version to 8
    - shorten debian/rules
  * update policy version to 3.9.2.0
    - set debian/source/format to 3.0 (native)
  * check if missing files match dpkg path exclusion settings (Closes:
    #603887)

 -- Ryan Niebur <ryan@debian.org>  Sun, 04 Sep 2011 01:43:59 -0700

debsums (2.0.48+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Actually fix the LC_ALL issue. Closes: #592081

 -- David Prévot <david@tilapin.org>  Wed, 17 Nov 2010 17:16:07 -0400

debsums (2.0.48+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish translation (Joe Hansen). Closes: #584487
  * Manpages translations:
    - Russian (Yuri Kozlov). Closes: #585698
    - French (David Prévot). Closes: #597477
    - German (Chris Leick). Closes: #602383
    - Portuguese (Américo Monteiro). Closes: #602538
    - Spanish (Omar Campagne). Closes: #602704
    - Swedish (Martin Bagge). Closes: #602916
  * Simplify po4a.cfg to handle every languages.
  * Fix dpkg-divert handling:
    - LANG issue (Timo Weingärtner). Closes: #592081
    - admindir issue (Jörg Sommer). Closes: #602187

 -- David Prévot <david@tilapin.org>  Tue, 09 Nov 2010 22:10:29 -0400

debsums (2.0.48+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Use ucf to properly manage the content of /etc/apt.conf.d/90debsums
    (closes: #571116).
    - Add ucf in Depends.
    - Lintian override updated for the new postinst version

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Tue, 11 May 2010 23:29:32 +0200

debsums (2.0.48) unstable; urgency=low

  * reword the --ignore-permissions documentation to say that it makes
    error get treated as warnings, thanks Sandro (Closes: #546977)
  * update email address
  * fix handling of O_NOATIME on arches that don't defined O_NOATIME
    (Closes: 559551)
  * update localepurge handling (Closes: #548278)
  * set Standards-Version to 3.8.3
  * rather than filing in the version at build time, figure it out in a
    smarter way during runtime

 -- Ryan Niebur <ryan@debian.org>  Sun, 20 Dec 2009 14:01:25 -0800

debsums (2.0.47) unstable; urgency=low

  [ Francois Marier ]
  * debian/postinst: fix syntax error in /etc/apt/apt.conf.d/90debsums
    Thanks to Filippo for the heads up! (closes: #535364)

  [ Ryan Niebur ]
  * set myself as maintainer (Closes: #534655)
    - add DMUA field
  * document the solution to bug #74033
  * document the possible outcomes (Closes: #469774)
  * patch from sgran to fix rmtree usage (Closes: #487317)
  * add --ignore-permissions option for use by reportbug (Closes:
    #536576)
  * fix manpage problems (Closes: #538293)
  * add spanish translation, thanks to Omar Campagne (Closes: #541783)
  * simplify the output for missing/changed files in silent mode
    (Closes: #524650)
  * make the short description a noun phrase
  * fix copyright stuff

 -- Ryan Niebur <ryanryan52@gmail.com>  Sat, 05 Sep 2009 00:50:48 -0700

debsums (2.0.46) unstable; urgency=low

  * Bump Standards-Version to 3.8.2
  * Remove debconf question about croncheck (closes: #533594, #503444)
  * Add lintian-override about the postinst

 -- Francois Marier <francois@debian.org>  Fri, 26 Jun 2009 16:30:46 +1200

debsums (2.0.45) unstable; urgency=low

  * Updated French translation (closes: #526198)
  * Updated Czech translation (closes: #533106)

 -- Francois Marier <francois@debian.org>  Mon, 15 Jun 2009 10:04:40 +1200

debsums (2.0.44) unstable; urgency=low

  * Fix typo in debsums_gen.8 manpage (closes: #522942)
  * Add German translation (closes: #524008)

 -- Francois Marier <francois@debian.org>  Tue, 14 Apr 2009 20:28:01 +1200

debsums (2.0.43) unstable; urgency=low

  * Fall back on regular sysopen if the NOATIME one fails (closes: #519816)

 -- Francois Marier <francois@debian.org>  Mon, 16 Mar 2009 08:53:43 +1300

debsums (2.0.42) unstable; urgency=low

  * Open files with O_NOATIME to reduce disk activity (closes: #518608)
  * Bump Standards-Version up to 3.8.1

 -- Francois Marier <francois@debian.org>  Sun, 15 Mar 2009 13:17:17 +1300

debsums (2.0.41) unstable; urgency=low

  * Updated Galician debconf template (closes: #509907)
  * Updated Vietnamese debconf template (closes: #513590)

 -- Francois Marier <francois@debian.org>  Sat, 31 Jan 2009 11:49:20 +1300

debsums (2.0.40) unstable; urgency=low

  * Updated Dutch debconf template (closes: #503400)
  * Updated Swedish debconf template (closes: #505742)
  * Updated Spanish debconf template (closes: #507756)

 -- Francois Marier <francois@debian.org>  Thu, 04 Dec 2008 21:55:34 +1300

debsums (2.0.39) unstable; urgency=low

  * Allow users to also run the cronjob weekly or monthly, but
    default to "never" (closes: #501331)
  * Use the append syntax of apt's PostInvoke (closes: #501542)

  * Debconf templates:
    - Reworded question based on reviews by MJ Ray and Christian
    - Updated Traditional Chinese Translation (closes: #502053)
    - Updated Dutch translation (closes: #501376)
    - Updated French translation (closes: #501478)
    - Updated Finnish translation (closes: #501706, #503277)
    - Updated German translation (closes: #503112)
    - Updated Italian translation (closes: #502409)
    - Updated Japanese translation (closes: #502198)
    - Updated Portugese translation (closes: #502566)
    - Updated Russian translation (closes: #502456)
    - Updated Ukranian translation

 -- Francois Marier <francois@debian.org>  Sat, 25 Oct 2008 11:39:16 +1300

debsums (2.0.38) unstable; urgency=low

  * Fix the cronjob when the ignore file is empty or missing (closes: #499532)
  * Make the daily cronjob optional through debconf (closes: #499840)
  * Use ionice to reduce the impact of having the cronjob running

  * Re-write postrm script and don't ignore errors (lintian warning)
  * Move directory creation to debian/dirs
  * Re-write debian/copyright
  * Remove emacs mode setting lines from the changelog
  * Swap maintainer and uploader fields
  * Bump debhelper version to 7

  * Debconf templates:
    - New Traditional Chinese translation (closes: #501165)
    - New Ukranian translation
    - Updated Brazillian Portugese translation (closes: #500975)
    - Updated German translation (closes: #500470)
    - Updated Italian translation (closes: #500825)
    - Updated Japanese translation (closes: #500466)
    - Updated Portugese translation (closes: #500945)
    - Updated Russian translation (closes: #500828)
    - Updated Swedish translation
    - Updated Vietnamese translation (closes: #500666)

 -- Francois Marier <francois@debian.org>  Sun, 05 Oct 2008 14:12:24 +1300

debsums (2.0.37) unstable; urgency=low

  [ Mike Forbes ]
  * Added Finnish translation of debsums template (closes: #492618)

  [ Francois Marier ]
  * Added daily cronjob and ignore file (closes: #88951)

 -- Francois Marier <francois@debian.org>  Thu, 18 Sep 2008 11:47:45 +1200

debsums (2.0.36) unstable; urgency=low

  * Taken this package over with permission from Francois
  * Added rdebsums and it's man page (closes: #290277)

 -- Mike Forbes <mike@nothing.net.nz>  Sat, 05 Jul 2008 16:38:32 +1200

debsums (2.0.35) unstable; urgency=low

  * Take over this package with permission from Brendan
  * Add collab-maint repo to debian/control
  * Bump Standards-Version to 3.8.0
  * Bump debhelper dependency and compatibility to 6
  * Add dependency on po-debconf
  * Add debhelper substitution variable to the postinst

  * Update French manpage translation (closes: #456288)
  * Update Russian manpage translation (closes: #471035)
  * Fix typos in README file (closes: #486313, #480546)
  * Fix hyphen problems in manpage
  * Rephrase short description for this package

 -- Francois Marier <francois@debian.org>  Wed, 02 Jul 2008 17:23:28 +1200

debsums (2.0.34) unstable; urgency=low

  * Set umask to ensure created .md5sums are readable (closes: #421782).
  * Apply detailed patch from Osamu Aoki to provide a new script debsums_init
    which an administrator may run once to initially create missing md5sums
    from cached and/or downloaded packages prior to enabling automatic
    updates (closes: #443530).

 -- Brendan O'Dea <bod@debian.org>  Thu, 29 Nov 2007 08:29:30 +1100

debsums (2.0.33) unstable; urgency=low

  * Apply patch from Nicolas François to generate Swedish manual pages
    in latin-1 (closes: #441835).

 -- Brendan O'Dea <bod@debian.org>  Mon, 17 Sep 2007 09:36:47 +1000

debsums (2.0.32) unstable; urgency=low

  * Add Galician debconf translation from Jacobo Tarrio (closes #412490).

 -- Brendan O'Dea <bod@debian.org>  Wed, 14 Mar 2007 23:01:16 +1100

debsums (2.0.31) unstable; urgency=low

  * More paranoia: open files non-blocking (closes: #406266).

 -- Brendan O'Dea <bod@debian.org>  Sat, 27 Jan 2007 21:08:30 +1100

debsums (2.0.30) unstable; urgency=low

  * Paranoia: only check regular files (not char special, pipe, etc).
  * Catch errors from $digest->addfile so that the problem package/file
    may be reported.

  * Use 'quote' in messages rather than `quote' (as recommended by
    http://www.cl.cam.ac.uk/~mgk25/ucs/quotes.html).

  * Add template translation [pt_BR] from Herbert P Fortes Neto
    (closes: #389035).

  * Add template translation [de] from Sven Joachim (closes: #385104).
  * Unfuzzy French, Russian and Swedish translations (thanks Frédéric,
    closes: #389528).

 -- Brendan O'Dea <bod@debian.org>  Wed,  1 Nov 2006 11:29:16 +1100

debsums (2.0.29) unstable; urgency=low

  * Fix typo in debsums(1) manual page (thanks Sven Joachim,
    closes: #384629).

 -- Brendan O'Dea <bod@debian.org>  Sun, 27 Aug 2006 18:33:56 +1000

debsums (2.0.28) unstable; urgency=low

  * Handle obsolete conffiles correctly (closes: #364537).

 -- Brendan O'Dea <bod@debian.org>  Mon, 22 May 2006 22:16:07 +1000

debsums (2.0.27) unstable; urgency=low

  * Include Swedish translation from Daniel Nylander (closes: #353604).

 -- Brendan O'Dea <bod@debian.org>  Tue, 21 Feb 2006 01:38:36 +1100

debsums (2.0.26) unstable; urgency=low

  * Trivial translation update (thanks Frédéric, closes: #351378).

 -- Brendan O'Dea <bod@debian.org>  Wed,  8 Feb 2006 22:42:45 +1100

debsums (2.0.25) unstable; urgency=low

  * Fix "missmatch" typo reported by A Costa (closes: #351004).

 -- Brendan O'Dea <bod@debian.org>  Thu,  2 Feb 2006 22:09:54 +1100

debsums (2.0.24) unstable; urgency=low

  * Add man/ru/addendum.ru

 -- Brendan O'Dea <bod@debian.org>  Thu, 15 Dec 2005 10:48:58 +1100

debsums (2.0.23) unstable; urgency=low

  * Include Russian translation from Yuri Kozlov (closes: #343220).

 -- Brendan O'Dea <bod@debian.org>  Wed, 14 Dec 2005 23:52:42 +1100

debsums (2.0.22) unstable; urgency=low

  * Use dpkg --print-architecture to get $arch (closes: #340161).

 -- Brendan O'Dea <bod@debian.org>  Wed,  7 Dec 2005 07:57:55 +1100

debsums (2.0.21) unstable; urgency=low

  * Oops.  Also check for arch "all" archives (closes: #342230).

 -- Brendan O'Dea <bod@debian.org>  Wed,  7 Dec 2005 07:34:37 +1100

debsums (2.0.20) unstable; urgency=low

  * Use arch rather than * when searching for archives (closes: #318377).
  * Switch to po4a for manual page translations.  Thanks to Frédéric
    Bothamy for the patch (closes: #339689).

 -- Brendan O'Dea <bod@debian.org>  Sat, 19 Nov 2005 17:09:04 +1100

debsums (2.0.19) unstable; urgency=low

  * Escape backticks in man page (closes: #315904).
  * Add Portuguese translation from Miguel Figueire (closes: #330205).
  * Add Swedish translation from Daniel Nylander (closes: #331335).
  * Add Spanish translation from César Gómez Martín (closes: #336045).

 -- Brendan O'Dea <bod@debian.org>  Sat, 29 Oct 2005 17:22:02 +1000

debsums (2.0.18) unstable; urgency=low

  * Don't return failure on purged locale files (closes: #314959).
  * Use a different exit status to indicate changed/missing files.
  * Add support for prelink (closes: #231537).

 -- Brendan O'Dea <bod@debian.org>  Wed, 22 Jun 2005 00:09:15 +1000

debsums (2.0.17) unstable; urgency=low

  * Add template translation [vi] from Clytie Siddall (closes: #310212).

 -- Brendan O'Dea <bod@debian.org>  Fri, 10 Jun 2005 23:24:41 +1000

debsums (2.0.16) unstable; urgency=low

  * Remove leading ./ from paths (closes: #295954).

 -- Brendan O'Dea <bod@debian.org>  Wed,  9 Mar 2005 07:09:18 +1100

debsums (2.0.15) unstable; urgency=low

  * Oops.  Typo in parsing of /etc/locale.nopurge.  Closes: #292998.

 -- Brendan O'Dea <bod@debian.org>  Tue,  1 Feb 2005 10:59:31 +1100

debsums (2.0.14) unstable; urgency=low

  * Add template translation [cs] from Jan Outrata (closes: #266573).
  * Will not warn on locale purged files if /etc/locale.nopurge
    exists, unless --no-locale-purge is given (closes: #149029).
  * Print full path when printing file paths (closes: #210970).
  * Document that the manpage example will not work for CD-ROM and
    local sources, see #191840.
  * Added an option to check only configuration files (closes: #261123).

  Thanks to Javier Fernandez-Sanguino Pen~a for analysis and patches.

 -- Brendan O'Dea <bod@debian.org>  Sun, 30 Jan 2005 10:39:10 +1100

debsums (2.0.13) unstable; urgency=low

  * Add template translation [nl] from Luk Claes (closes: #274903).
  * Add template translation [it] from Luca Monducci (closes: #284246).

 -- Brendan O'Dea <bod@debian.org>  Mon,  6 Dec 2004 05:39:09 +1100

debsums (2.0.12) unstable; urgency=low

  * Add template translation [da] from Claus Hindsgaul (closes: #262979).

 -- Brendan O'Dea <bod@debian.org>  Sun, 19 Sep 2004 17:02:05 +1000

debsums (2.0.11) unstable; urgency=low

  * Arguments ending with ".deb" should not be interpreted as package
    names (thanks to Guentcho Skorde; closes: #191841).

  * Giving an archive as an argument implies --generate=missing for that
    package (thanks to Guentcho Skorde; closes #191842).

  * Fix from Mario Holbe so that the pattern whichs checks the Status
    field for "installed" no longer matches "not-installed" (oops;
    closes: #260798).

  * Another from Mario Holbe, typo in Replaces regex (closes: #261007).
    Additionally warn on unparsable "Replaces" fields.

  * Remove XSI -a/-o test extensions from debsums_gen on the off chance
    that some lunatic chooses both to install posh as /bin/sh and also
    to run this deprecated program (closes: #256495).

  * Only run debsums post-dpkg if it exists (prevents problems with
    aptitude after the package is removed; closes: #257082).

  * Remove db_set from debian/config which was overriding the user's
    choice.

 -- Brendan O'Dea <bod@debian.org>  Sat, 24 Jul 2004 18:46:25 +1000

debsums (2.0.10) unstable; urgency=low

  * Add template translation [ja] from Hideki Yamane (closes: #256483).

 -- Brendan O'Dea <bod@debian.org>  Tue, 29 Jun 2004 08:05:20 +1000

debsums (2.0.9) unstable; urgency=low

  * Add template translation [fr] from Jean-Luc Coulon (closes: #256328).

 -- Brendan O'Dea <bod@debian.org>  Sun, 27 Jun 2004 10:26:53 +1000

debsums (2.0.8) unstable; urgency=low

  * Add support for replaced files (closes: #99241).  Thanks to Riku
    Voipio for diagnosing.

  * Remove help2man build-dep (manual page is hand-edited; closes: #203934).
  * Convert templates to gettext format for po-debconf (patch from
    Martin Quinson; closes: #254444).

 -- Brendan O'Dea <bod@debian.org>  Sat, 19 Jun 2004 23:12:42 +1000

debsums (2.0.7) unstable; urgency=low

  * Add a debconf option to automatically tell apt to use debsums
    to generate debsum files (patch from Mikko Rauhala; closes: #167348).

 -- Brendan O'Dea <bod@debian.org>  Sun, 13 Jun 2004 14:01:00 +1000

debsums (2.0.6) unstable; urgency=low

  * Add Brazillian Portugese translations of debsums(1) and
    debsums_gen(8) manual pages contributed by Andre Luis Lopes
    (closes: #176925).

 -- Brendan O'Dea <bod@debian.org>  Sat,  8 Feb 2003 12:34:20 +1100

debsums (2.0.5) unstable; urgency=low

  * Add French translation of debsums(1) manual page contributed by
    Antoine Gémis (closes: #165735).

 -- Brendan O'Dea <bod@debian.org>  Sat, 26 Oct 2002 16:15:24 +1000

debsums (2.0.4) unstable; urgency=low

  * Check that the path returned by glob exists (closes: #160193).
  * Backslash some more literal hyphens in debsums manpage.

 -- Brendan O'Dea <bod@debian.org>  Mon,  9 Sep 2002 22:31:30 +1000

debsums (2.0.3) unstable; urgency=low

  * Replace versioned dependency on libdigest-md5-perl with one for
    perl 5.8.0, which now includes that module (versioned dep doesn't
    work against provides).

  * Search for debs filenames with/without architecture and/or epochs
    (closes: #143487).

 -- Brendan O'Dea <bod@debian.org>  Wed, 31 Jul 2002 20:21:57 +1000

debsums (2.0.2) unstable; urgency=low

  * Recognise installed packages regardless of the selected state
    (closes: #139869).

  * Clean up temporary directories when interrupted.
  * Allow -s to suppress complaints about missing debs when generating
    missing checksums and document how to fetch missing debs
    (closes: #141155).

  * Document using TMPDIR to change where packages are unpacked for
    --generate.

  * Ignore malformed .conffiles: blank lines and paths without a
    leading slash (closes: #142316).

 -- Brendan O'Dea <bod@debian.org>  Sun, 14 Apr 2002 18:42:19 +1000

debsums (2.0.1) unstable; urgency=low

  * Add some validity checks to md5sums files (closes: #130793).
  * Add version to libdigest-md5-perl dependency (closes: #130803).

 -- Brendan O'Dea <bod@debian.org>  Mon, 28 Jan 2002 15:35:08 +1100

debsums (2.0.0) unstable; urgency=low

  * New maintainer.
  * debsums rewritten in Perl.
    + Understands diversions (closes: #123893, #33306).
    + No longer depends on dpkg-dev (closes: #127327).
    + New option (-c) to report a list of changed files (closes: 89373).
    + Documented usage of APT's DPkg::Post-Invoke hook to generate
      missing checksums on upgrade/install (closes:  #108125).

  * Deprecated debsums_gen.

 -- Brendan O'Dea <bod@debian.org>  Thu, 24 Jan 2002 22:54:46 +1100

debsums (1.3.1) unstable; urgency=low

  * Use dpkg-deb to find out information about .deb (closes: #88448)

 -- Petr Cech <cech@debian.org>  Sun, 11 Mar 2001 22:04:54 +0100

debsums (1.3) unstable; urgency=low

  * Replace debsums with updated script from Clemmitt Sigler.

 -- Petr Cech <cech@debian.org>  Wed, 29 Nov 2000 10:56:12 +0100

debsums (1.2.7) unstable; urgency=low

  * Fails to check packages with empty .conffiles (closes: 75551)
    patch from Janne V. Kujala <jvkujala@cc.jyu.fi>
    - how can a package have empty .conffiles in the first place?

 -- Petr Cech <cech@debian.org>  Wed, 25 Oct 2000 16:15:46 +0200

debsums (1.2.6) frozen unstable; urgency=low

  * RC: Apply patch from Colin Phipps to fix /tmp handling
        (closes: #60228)

 -- Petr Cech <cech@debian.org>  Mon, 13 Mar 2000 20:08:52 +0100

debsums (1.2.5) unstable; urgency=low

  * When package is not installed say so and not that checksums are missing.
    (closes: #60004)

 -- Petr Cech <cech@debian.org>  Sat, 11 Mar 2000 19:18:54 +0100

debsums (1.2.4) frozen unstable; urgency=low

  * To fix missing depends on bsdmainutils (colrm 1 1) use cut -c 2- ,
    which is in textutils. (closes: #59244)

 -- Petr Cech <cech@debian.org>  Tue, 29 Feb 2000 08:11:08 +0100

debsums (1.2.3) frozen unstable; urgency=low

  * Apply patch from Chris Butler, which fixes hang of debsums_gen on empty
    packages (closes: #57972, #35826).

 -- Petr Cech <cech@debian.org>  Mon, 14 Feb 2000 17:02:11 +0100

debsums (1.2.2) unstable; urgency=low

  * debian/copyright: mention location of GPL in Debian
  * changed Build-Depends.
  * switch to debhelper.

 -- Petr Cech <cech@debian.org>  Thu, 13 Jan 2000 17:57:56 +0100

debsums (1.2.1) unstable; urgency=low

  * Add description of -l to debsums.1 (closes: #54931)

 -- Petr Cech <cech@debian.org>  Thu, 13 Jan 2000 09:52:38 +0100

debsums (1.2) unstable; urgency=low

  * New maintainer.
  * Standards-Version: 3.1.1

 -- Petr Cech <cech@debian.org>  Fri, 17 Dec 1999 17:45:41 +0100

debsums (1.1.1) unstable; urgency=low

  * Moved to section admin (closes #16165)

 -- Ben Collins <bcollins@debian.org>  Sat, 30 Jan 1999 09:47:31 -0500

debsums (1.1) unstable; urgency=low

  * Added abilit for debsums_gen to generate md5sums for packages listed
    on the command line. Also added -f option to force overwriting the
    current list.
  * Added ability for debsums to list packages which do not have an
    md5sums list with the -l option

 -- Ben Collins <bcollins@debian.org>  Sat, 30 Jan 1999 00:25:30 -0500

debsums (1.0.1) unstable; urgency=low

  * New maintainer
  * changelog is now compressed in /usr/doc/debsums, fixed itself by
    repackaging with a newer debstd (closes #14617)

 -- Ben Collins <bcollins@debian.org>  Sun, 23 Nov 1997 23:14:31 -0500

debsums (1.0) unstable; urgency=low

  * debsums split out from debmake
  * provide debsums_gen to generate .md5sums files after installation
    of packages that did not use them.
  * Provide example code from debstd in /usr/doc/debsums/README.debian

 -- Christoph Lameter <clameter@debian.org>  Sun, 19 Oct 1997 14:26:51 -0700
